GET /api/v3/applications/{lcuid}/key-value-store/{key}¶
Summary¶
GET applications/{id}/key-value-store/{key}
Description¶
Return a single key owned by the application and attached to the application
Tags: applications
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)key_value_store(object) Type:object
Properties:
parent_type(string)object_type(string)key_name(string): The key namekey(string): The key namevalue(string): The value for the keycreated_at(string): The created at dateupdated_at(string): The updated at datemacro(string)
Example Response¶
{
"success": true,
"key_value_store": {
"parent_type": "App\\Application",
"object_type": "App\\Application",
"key_name": "Test Key",
"key": "test_key",
"value": "my value",
"created_at": "2026-01-08T23:28:32.000000Z",
"updated_at": "2026-01-08T23:28:32.000000Z",
"macro": "application.store.test_key"
}
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--url "https://api.lucit.app/api/v3/applications/{lcuid}/key-value-store/{key}" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = "https://api.lucit.app/api/v3/applications/{lcuid}/key-value-store/{key}";
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
};
fetch(url, {
method: "GET",
headers: headers
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
PHP (Guzzle)¶
<?php
require_once 'vendor/autoload.php';
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://api.lucit.app/api/v3/applications/{lcuid}/key-value-store/{key}', [
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
]
]);
$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);
Python (Requests)¶
import requests
import json
url = "https://api.lucit.app/api/v3/applications/{lcuid}/key-value-store/{key}"
headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
}
response = requests.get(url, headers=headers)
print(response.json())